Page MenuHomePhabricator

Clean up donation pages on wikimediafoundation.org
Closed, ResolvedPublic

Description

wikimediafoundation.org was previously used for donation forms, donation campaigns, etc.

Now we have donate.wikimedia.org/donatewiki, so we can probably clean up a lot of these old pages.

This requires making sure that the pages are no longer needed/being used and then deleting them.

Some queries from earlier today:

MariaDB [foundationwiki_p]> select page_namespace, count(page_namespace) from page group by page_namespace;
+----------------+-----------------------+
| page_namespace | count(page_namespace) |
+----------------+-----------------------+
|              0 |                 10155 |
|              1 |                   306 |
|              2 |                  1227 |
|              3 |                   634 |
|              4 |                    68 |
|              5 |                     5 |
|              6 |                  1378 |
|              7 |                    13 |
|              8 |                  1267 |
|              9 |                    12 |
|             10 |                  4723 |
|             11 |                    87 |
|             12 |                     3 |
|             14 |                   434 |
|             15 |                     1 |
|            710 |                     1 |
|            828 |                     3 |
+----------------+-----------------------+
17 rows in set (0.04 sec)
MariaDB [foundationwiki_p]> select page_title, count(*) from page where page_namespace = 0 group by left(page_title, 10) having count(*) > 10;
+------------------------------------------------------------+----------+
| page_title                                                 | count(*) |
+------------------------------------------------------------+----------+
| 2007/Donate                                                |      139 |
| 2008/Donate/af                                             |       87 |
| Annetused/AUD                                              |       24 |
| Answers_archive                                            |       15 |
| Benefactores                                               |       26 |
| Cancel_or_change_recurring_payments                        |       21 |
| Coleta_de_fundos                                           |       22 |
| Dary_pieniężne                                             |       21 |
| Donaciones                                                 |       22 |
| Donate-options                                             |       47 |
| Donate-thanks                                              |       47 |
| Donate/Chapter/zh-hant                                     |       89 |
| Donate/Letter/ar                                           |       45 |
| Donate/Now/af                                              |      101 |
| Donate/Questions                                           |       87 |
| Donate/Stories/af                                          |       87 |
| Donate/Support/af                                          |       86 |
| Donate/ThankYou/ar                                         |      134 |
| Donate/Transparency                                        |       87 |
| Donate/WaysToGive/af                                       |       86 |
| Donazioni/CAD                                              |       31 |
| Donor_policy                                               |       16 |
| Ecwårlaedje                                                |       25 |
| En_Don_maachen                                             |       21 |
| English_Wikipedia_Blackout                                 |       25 |
| Faites_un_don                                              |       32 |
| Feedback_policy                                            |       15 |
| Fund_drives                                                |       35 |
| Fundraising                                                |       76 |
| Global_Support/ch                                          |       14 |
| Holding/Hold1                                              |       60 |
| Holding/JA1/IL/ar                                          |       11 |
| Innsamling                                                 |       19 |
| Insamling/CAD                                              |       20 |
| Inside_Wikimedia                                           |       33 |
| Jimmy_Thank_You/AT                                         |       65 |
| Job_opening/Sr._Software_Developer_(project)               |      143 |
| Keep_Wikipedia_Free                                        |       30 |
| Kolekta_kampanjo                                           |       18 |
| L11_0824pm_A/el/GR                                         |       37 |
| L11_0916_JMvIS_IS/en                                       |       44 |
| L11_1007_1_Jimmy1/en                                       |       84 |
| L11_1007_2_Alan1/en                                        |       84 |
| L11_1014_Achal/en                                          |       16 |
| L11_1021_EN2/en                                            |       57 |
| L11_1021_Jimmy/en                                          |       84 |
| L11_1021_Maryana_Bullets/en                                |       28 |
| L11_1021_StaffGreatest/en                                  |       84 |
| L11_1021_US1_Jimmy/en/US                                   |       11 |
| L11_1027_Jimmy_EN/en                                       |       28 |
| L11_1028_EN1_DrJames/HU                                    |      116 |
| L11_1028_US1_JimmyCommerce/en/US                           |       21 |
| L11_1104_EN1_Jimmy/en                                      |       99 |
| L11_1104_US1_Jimmy/en                                      |       25 |
| L11_1107_Jimmy10-50Ask_US/en/US                            |       13 |
| L11_1108_UK_Alan/GB/en                                     |       14 |
| L11_1114_WMUK_Brandon/GB                                   |       12 |
| L11_1202_WMFR_RemiA/FR                                     |       15 |
| L11_1212_WMUK_Bruno/GB                                     |       14 |
| L11_1215_Email_10/en/US                                    |       13 |
| L11_1222_R5_AK/en/US                                       |       13 |
| L11_3009_Jimmy/en                                          |       21 |
| L11_3009_Kaldari/en                                        |       21 |
| L11_EN3_multi_Achal/HU                                     |      145 |
| L11_EN3_single_Jimmy/HU                                    |       29 |
| L11_FRDRILL3_0914_A/IT                                     |      541 |
| L11_JMvKA_0728test_JM/en                                   |       48 |
| L11_JMvSW_0804_JM/en                                       |       13 |
| L11_JStest/de                                              |       15 |
| L11_Offsite_0001/en                                        |       43 |
| L11_Peterg_longletter/ar                                   |       65 |
| L11_Projectlinks_Jimmy001/AU                               |       23 |
| L11_Sidebar/CH                                             |       95 |
| L11_charles_longletter/ar/IL                               |       40 |
| L12_1031_WMCH_Charles/CH                                   |       12 |
| L2011_JWJN001/en                                           |       25 |
| Lahjoitukset                                               |       16 |
| Matching_Gifts                                             |       11 |
| Minutes/2007-06-13                                         |       76 |
| Monthly_donations/en                                       |       31 |
| New_Terms_of_use                                           |       29 |
| PSA_video-subtitled-af                                     |       44 |
| PayPal_donations                                           |       12 |
| Política_de_acesso_a_dados_confidenciais                   |       13 |
| Press_release/Kennisnet_ondersteunt_Wikimedia-projecten    |      249 |
| Press_room                                                 |       15 |
| Press_statements                                           |       18 |
| Privacy_policy                                             |       18 |
| Problems_donating                                          |       42 |
| Resolution                                                 |      476 |
| Résolution_:_Markmonitor                                   |       68 |
| Style-Test-1a                                              |       12 |
| Support_Wikipedia                                          |      145 |
| Tax_Deductibility                                          |       29 |
| Terms_of_Use                                               |       71 |
| Terms_of_use                                               |       47 |
| Thank_You/                                                 |      153 |
| Trademark_Policy                                           |       20 |
| Translation_requests/Berikanlah_pengetahuan_sebagai_hadiah |       18 |
| Volunteering                                               |       18 |
| Vote:Minutes_approval_April_18-19,_2013                    |       19 |
| WMFJA026/el                                                |       38 |
| WMFJA060/en                                                |       30 |
| WMFJA085/el                                                |       40 |
| WMFJA085/sh                                                |       14 |
| WMFJA085/zh                                                |       20 |
| WMFJA1/en/AD                                               |       30 |
| WMFJA1/zh-classical                                        |       13 |
| WMFLA002/el                                                |       34 |
| WMFRE013/en                                                |       13 |
| WMFRE014/en                                                |       33 |
| WMFRE015/en                                                |       22 |
| WMFRE016/en                                                |       25 |
| WMFRE017/en                                                |       22 |
| WMFRE018/en                                                |       14 |
| WMFRE019/en                                                |       22 |
| WMFRE020/en                                                |       14 |
| WMFRE021/en                                                |       25 |
| WMFSG011/el                                                |       33 |
| WPZeroPetition                                             |       16 |
| Ways_to_Give                                               |       27 |
| Wikimedia_Board_meetings/5_September_2004                  |      337 |
| Wikipedia_15_Privacy_Policy                                |       17 |
| Дарения                                                    |       25 |
| Сбор_средств                                               |       20 |
| ウィキペディアが100万項目を達成                            |       11 |
| 기부안내                                                   |       25 |
+------------------------------------------------------------+----------+
127 rows in set (0.03 sec)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2016, 11:29 PM
Pcoombe claimed this task.Jun 12 2017, 8:28 PM
Pcoombe closed this task as Resolved.Jun 6 2018, 9:22 PM

These have been cleaned up now as part of preparation for the foundation site move.